[PATCH 44/48] i18n: git-bisect bisect_run + $@ messages
- From
Ævar Arnfjörð Bjarmason <avarab@gmail.com>
- Date
- May 8, 2011, 12:21 UTC
- Message-ID
- <1304857280-14773-45-git-send-email-avarab@gmail.com>
- In-Reply-To
- <1304857280-14773-1-git-send-email-avarab@gmail.com>
Gettextize bisect_run messages that use the $@ variable. Since it's subroutine local we have to provide an alias for it for eval_gettext.
Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com> --- git-bisect.sh | 7 ++++--- 1 files changed, 4 insertions(+), 3 deletions(-)
diff --git a/git-bisect.sh b/git-bisect.sh index 2e755cd..d06fa56 100755 --- a/git-bisect.sh +++ b/git-bisect.sh @@ -374,14 +374,15 @@ bisect_run () { while true do - echo "running $@" + command="$@" + eval_gettext "running \$command"; echo "$@" res=$? # Check for really bad run error. if [ $res -lt 0 -o $res -ge 128 ]; then - echo >&2 "bisect run failed:" - echo >&2 "exit code $res from '$@' is < 0 or >= 128" + echo >&2 "$(eval_gettext "bisect run failed: +exit code \$res from '\$command' is < 0 or >= 128")" exit $res fi
-- 1.7.4.4